<?php

/**
 * File handling configuration form.
 */
function starter_content_types_form($form, &$form_state) {
  drupal_set_title(st('Configure content types'));

  $form['article'] = array(
    '#type' => 'checkbox',
    '#title' => t('Article'),
    '#description' => t('Use articles for time-sensitive content like news, press releases or blog posts.'),
    '#attributes' => array('checked' => 'checked'),
  );
  $form['page'] = array(
    '#type' => 'checkbox',
    '#title' => t('Basic page'),
    '#description' => t('Use basic pages for your static content, such as an \'About us\' page.'),
    '#attributes' => array('checked' => 'checked'),
  );
  $form['blog'] = array(
    '#type' => 'checkbox',
    '#title' => t('Blog entry'),
    '#description' => t('Use for multi-user blogs. Every user gets a personal blog.'),
  );
  $form['book'] = array(
    '#type' => 'checkbox',
    '#title' => t('Book page'),
    '#description' => t('Books have a built-in hierarchical navigation. Use for handbooks or tutorials.'),
  );
  $form['forum'] = array(
    '#type' => 'checkbox',
    '#title' => t('Forum topic'),
    '#description' => t('A forum topic starts a new discussion thread within a forum.'),
  );

  $form['sbmt'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}

/**
 * Implements hook_form_submit().
 */
function starter_content_types_form_submit($form, &$form_state) {
  $modules = variable_get('install_profile_modules', array());
  $config = variable_get('starter_config', array('variables' => array()));
  if ($form_state['values']['book']) {
    $modules[] = 'book';
  }
  if ($form_state['values']['blog']) {
    $modules[] = 'blog';
  }
  if ($form_state['values']['forum']) {
    $modules[] = 'forum';
    $modules[] = 'taxonomy_container';
  }
  if ($form_state['values']['page']) {
     $config['content_types']['page'] = TRUE;
  }
  if ($form_state['values']['article']) {
     $config['content_types']['article'] = TRUE;
  }
  variable_set('install_profile_modules', $modules);
  variable_set('starter_config', $config);
}
