<?php

/**
 * File handling configuration form.
 */
function starter_file_handling_form($form, &$form_state) {
  drupal_set_title(st('Configure file handling'));
  $form['#attributes']['id'] = 'starter-form';

  //-- Core image module.
  $form['image_wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('Core file and image modules'),
    '#attributes' => array('class' => array('starter-highlighted')),
  );
  $form['image_wrapper']['image'] = array(
    '#type' => 'radio',
    '#title' => t('Enable'),
    '#suffix' => t('Defines a file field type and provides image manipulation tools.'),
    '#attributes' => array('checked' => 'checked'),
  );
  $form['image_wrapper']['image_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Screenshot'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#value' => '<img src="' . STARTER_IMAGE_PATH . '/image-screenshot.png" alt="image screenshot"/>',
  );

  //-- IMCE moduile.
  $form['imce_wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('IMCE'),
  );
  $form['imce_wrapper']['imce'] = array(
    '#type' => 'radio',
    '#title' => t('Enable'),
    '#suffix' => t('An image/file uploader and browser supporting personal directories and user quota.'),
  );
  $form['imce_wrapper']['imce_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Screenshot'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#value' => '<img src="' . STARTER_IMAGE_PATH . '/imce-screenshot.jpg" alt="imce screenshot"/>',
  );

  //-- Media module.
  $form['media_wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('Media'),
  );
  $form['media_wrapper']['media'] = array(
    '#type' => 'radio',
    '#title' => t('Enable'),
    '#suffix' => t('The Media module provides an extensible framework for managing files and multimedia assets, regardless of whether they are hosted on your own site or a 3rd party site - it is commonly refered to as a \'file browser to the internet.'),
  );
  $form['media_wrapper']['media_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Screenshot'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#value' => '<img src="' . STARTER_IMAGE_PATH . '/media-screenshot.png" alt="media screenshot"/>',
  );

  //-- No file handling.
  $form['no-file-handling'] = array(
    '#type' => 'radio',
    '#title' => t('Thanks. I don\'t need.'),
  );

  $form['sbmt'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}

/**
 * Add editor to modules list.
 */
function starter_file_handling_form_submit($form, &$form_state) {
  $modules = variable_get('install_profile_modules', array());
  if ($form_state['values']['imce']) {
    $modules[] = 'imce';
  }
  elseif ($form_state['values']['media']) {
    $modules[] = 'ctools';
    $modules[] = 'media';
  }
  elseif ($form_state['values']['image']) {
    $modules[] = 'image';
    $modules[] = 'insert';
  }
  variable_set('install_profile_modules', $modules);
}
