<?php

/**
 * Starter_text_editor_form.
 */
function starter_text_editor_form($form, &$form_state) {
  drupal_set_title(st('Configure text editor'));

  $form['#attributes']['id'] = 'starter-form';
  $form['bueditor_wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('Bueditor'),
  );
  $form['bueditor_wrapper']['bueditor'] = array(
    '#type' => 'radio',
    '#title' => t('Enable'),
    '#suffix' => t('A plain textarea editor aiming to facilitate code writing.'),
    '#attributes' => array('checked' => 'checked'),
  );
  $form['bueditor_wrapper']['bueditor_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Screenshot'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#value' => '<img src="' . STARTER_IMAGE_PATH . '/bueditor-screenshot.png" alt="bueditor screenshot"/>',
  );
  $form['ckeditor_wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('ckeditor'),
  );
  $form['ckeditor_wrapper']['ckeditor'] = array(
    '#type' => 'radio',
    '#title' => t('Enable'),
    '#suffix' => t('Enables CKEditor (WYSIWYG HTML editor) for use instead of plain text fields.'),
  );
  $form['ckeditor_wrapper']['ckeditor_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Screenshot'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#value' => '<img src="' . STARTER_IMAGE_PATH . '/ckeditor-screenshot.png" alt="ckeditor screenshot"/>',
  );
  $form['noeditor'] = array(
    '#type' => 'radio',
    '#title' => t('Thanks. I don\'t want use any text editors.'),
  );
  $form['sbmt'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}

/**
 * Add editor to modules list.
 */
function starter_text_editor_form_submit($form, &$form_state) {
  $modules = variable_get('install_profile_modules', array());
  if ($form_state['values']['bueditor'] == 'on') {
    $modules[] = 'bueditor';
  }
  elseif ($form_state['values']['ckeditor'] == 'on') {
    $modules[] = 'ckeditor';
  }
  variable_set('install_profile_modules', $modules);
}
