<?php

/**
 * Override or insert variables into the maintenance page template.
 */
function starter_maintence_preprocess_maintenance_page(&$vars) {
  // While markup for normal pages is split into page.tpl.php and html.tpl.php,
  // the markup for the maintenance page is all in the single
  // maintenance-page.tpl.php template. So, to have what's done in
  // starter_maintence_maintence_preprocess_html() also happen on the maintenance page, it has to be
  // called here.
  $vars['logo'] = $vars['directory'] . '/logo.png';
  starter_maintence_preprocess_html($vars);
  
  // Admin menu adds empty top-margin when installation process is finished.
  if (function_exists('admin_menu_suppress')) {
    admin_menu_suppress();
  }

  $starter_info = drupal_parse_info_file(STARTER_PROFILE_PATH . '/starter.info');
  $vars['starter_version'] = isset($starter_info['version']) ? $starter_info['version'] : 'development';
}

/**
 * Override or insert variables into the html template.
 */
function starter_maintence_preprocess_html(&$vars) {
  // Add conditional CSS for IE8 and below.
  drupal_add_css(path_to_theme() . '/ie.css', array('group' => CSS_THEME, 'browsers' => array('IE' => 'lte IE 8', '!IE' => FALSE), 'weight' => 999, 'preprocess' => FALSE));
}
